summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/leiningen/README11
-rw-r--r--development/leiningen/leiningen.SlackBuild59
-rw-r--r--development/leiningen/leiningen.info10
-rw-r--r--development/leiningen/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/development/leiningen/README b/development/leiningen/README
new file mode 100644
index 0000000000..207b5ac06c
--- /dev/null
+++ b/development/leiningen/README
@@ -0,0 +1,11 @@
+Leiningen is for automating Clojure projects without setting your hair on
+fire. Working on Clojure projects with tools designed for Java can be an
+exercise in frustration. With Leiningen, you just write Clojure.
+
+Leiningen bootstraps itself using the 'lein' shell script; there is no
+separate 'install script'. It installs its dependencies upon the first run on
+unix, so the first run will take longer.
+
+Hence, this build script just installs the 'lein' shell script into /usr/bin/,
+then you need to manually invoke 'lein self-install' as normal user, which
+won't touch system directories but install some stuff into ~/.lein/.
diff --git a/development/leiningen/leiningen.SlackBuild b/development/leiningen/leiningen.SlackBuild
new file mode 100644
index 0000000000..34c798c731
--- /dev/null
+++ b/development/leiningen/leiningen.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Copyright 2011 Jockey S. Kyd, Shanghai, CHN
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=leiningen
+VERSION=1.6.1.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+# check whether the 'lein' shell script's version matches VERSION above
+eval $(grep ^LEIN_VERSION $CWD/lein)
+if [ "$LEIN_VERSION" != "$VERSION" ]; then
+ printf "lein is not of version %s.\n" $VERSION 1>&2
+ exit 1
+fi
+
+mkdir -p $PKG/usr/bin
+cat $CWD/lein > $PKG/usr/bin/lein
+chmod 0755 $PKG/usr/bin/lein
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/leiningen/leiningen.info b/development/leiningen/leiningen.info
new file mode 100644
index 0000000000..755b976a90
--- /dev/null
+++ b/development/leiningen/leiningen.info
@@ -0,0 +1,10 @@
+PRGNAM="leiningen"
+VERSION="1.6.1.1"
+HOMEPAGE="https://github.com/technomancy/leiningen/"
+DOWNLOAD="https://raw.github.com/technomancy/leiningen/1.6.1.1/bin/lein"
+MD5SUM="6e855f52cecac9ef93b1443f3d9827e3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jockey S. Kyd"
+EMAIL="jockey.kyd@gmail.com"
+APPROVED="rworkman"
diff --git a/development/leiningen/slack-desc b/development/leiningen/slack-desc
new file mode 100644
index 0000000000..bfd075408a
--- /dev/null
+++ b/development/leiningen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+leiningen: leiningen (automation tool for Clojure projects)
+leiningen:
+leiningen: Leiningen is for automating Clojure projects without setting your
+leiningen: hair on fire. Working on Clojure projects with tools designed for
+leiningen: Java can be an exercise in frustration. With Leiningen, you just
+leiningen: write Clojure.
+leiningen:
+leiningen: https://github.com/technomancy/leiningen/
+leiningen:
+leiningen:
+leiningen: